Package com.usatiuk.dhfs.peersync

# Record Class PersistentRemoteHostsData

java.lang.Object
java.lang.Record
com.usatiuk.dhfs.peersync.PersistentRemoteHostsData

All Implemented Interfaces:
  `JData`, `Serializable`

public record PersistentRemoteHostsData(PeerId selfUuid, com.google.protobuf.ByteString selfCertificate, com.google.protobuf.ByteString selfKeyPair, org.pcollections.PSet<PeerId> initialSyncDone, org.pcollections.PMap<PeerId,IpPeerAddress> persistentPeerAddress) extends Record implements JData, Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final JObjectKey`
`KEY`

## Constructor Summary

Constructors
Constructor
Description
`PersistentRemoteHostsData(PeerId selfUuid, com.google.protobuf.ByteString selfCertificate, com.google.protobuf.ByteString selfKeyPair, org.pcollections.PSet<PeerId> initialSyncDone, org.pcollections.PMap<PeerId,IpPeerAddress> persistentPeerAddress)`
Creates an instance of a `PersistentRemoteHostsData` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`org.pcollections.PSet<PeerId>`
`initialSyncDone()`
Returns the value of the `initialSyncDone` record component.
`JObjectKey`
`key()`
`org.pcollections.PMap<PeerId,IpPeerAddress>`
`persistentPeerAddress()`
Returns the value of the `persistentPeerAddress` record component.
`com.google.protobuf.ByteString`
`selfCertificate()`
Returns the value of the `selfCertificate` record component.
`com.google.protobuf.ByteString`
`selfKeyPair()`
Returns the value of the `selfKeyPair` record component.
`PeerId`
`selfUuid()`
Returns the value of the `selfUuid` record component.
`String`
`toString()`
Returns a string representation of this record class.
`PersistentRemoteHostsData`
`withInitialSyncDone(org.pcollections.PSet<PeerId> initialSyncDone)`
`PersistentRemoteHostsData`
`withPersistentPeerAddress(org.pcollections.PMap<PeerId,IpPeerAddress> persistentPeerAddress)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.usatiuk.objects.JData

`estimateSize`

## Field Details

### KEY

public static final JObjectKey KEY

## Constructor Details

### PersistentRemoteHostsData

public PersistentRemoteHostsData(PeerId selfUuid, com.google.protobuf.ByteString selfCertificate, com.google.protobuf.ByteString selfKeyPair, org.pcollections.PSet<PeerId> initialSyncDone, org.pcollections.PMap<PeerId,IpPeerAddress> persistentPeerAddress)
Creates an instance of a `PersistentRemoteHostsData` record class.

Parameters:
  `selfUuid` - the value for the `selfUuid` record component
  `selfCertificate` - the value for the `selfCertificate` record component
  `selfKeyPair` - the value for the `selfKeyPair` record component
  `initialSyncDone` - the value for the `initialSyncDone` record component
  `persistentPeerAddress` - the value for the `persistentPeerAddress` record component

## Method Details

### key

public JObjectKey key()

Specified by:
  `key` in interface `JData`

### withInitialSyncDone

public PersistentRemoteHostsData withInitialSyncDone(org.pcollections.PSet<PeerId> initialSyncDone)

### withPersistentPeerAddress

public PersistentRemoteHostsData withPersistentPeerAddress(org.pcollections.PMap<PeerId,IpPeerAddress> persistentPeerAddress)

### toString

public String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### selfUuid

public PeerId selfUuid()
Returns the value of the `selfUuid` record component.

Returns:
  the value of the `selfUuid` record component

### selfCertificate

public com.google.protobuf.ByteString selfCertificate()
Returns the value of the `selfCertificate` record component.

Returns:
  the value of the `selfCertificate` record component

### selfKeyPair

public com.google.protobuf.ByteString selfKeyPair()
Returns the value of the `selfKeyPair` record component.

Returns:
  the value of the `selfKeyPair` record component

### initialSyncDone

public org.pcollections.PSet<PeerId> initialSyncDone()
Returns the value of the `initialSyncDone` record component.

Returns:
  the value of the `initialSyncDone` record component

### persistentPeerAddress

public org.pcollections.PMap<PeerId,IpPeerAddress> persistentPeerAddress()
Returns the value of the `persistentPeerAddress` record component.

Returns:
  the value of the `persistentPeerAddress` record component